cURL
curl --request GET \
--url https://{axiom-domain}/v1/query/metrics/info/datasets/{dataset}/metrics/{metric}/tags \
--header 'Authorization: Bearer <token>'import requests
url = "https://{axiom-domain}/v1/query/metrics/info/datasets/{dataset}/metrics/{metric}/tags"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{axiom-domain}/v1/query/metrics/info/datasets/{dataset}/metrics/{metric}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
"<string>"
]{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Get metric tags for a dataset
GET
/
query
/
metrics
/
info
/
datasets
/
{dataset}
/
metrics
/
{metric}
/
tags
cURL
Use this endpoint to query data from a specific edge deployment. The data you query must be stored in the edge deployment where you query it. For more information, see Query data and Edge deployments.The base domain for this endpoint is the base domain of the edge deployment where you want to query data.
This endpoint only supports API tokens. Personal access tokens (PATs) aren’t supported. For more information, see Tokens.
| Edge deployment | Base domain for ingest and query |
|---|---|
US East 1 (AWS) | us-east-1.aws.edge.axiom.co |
EU Central 1 (AWS) | eu-central-1.aws.edge.axiom.co |
Authorizations
Path Parameters
The dataset to retrieve metric tags from
The metric name to retrieve tags for
Query Parameters
Start time for timeframe to return (RFC3339 format)
End time for timeframe to return (RFC3339 format)
Response
Tag names for the specified metric
Was this page helpful?
⌘I